The Udf Ind Pulldown 1 Update service allows you to update an existing udf ind pulldown 1 value in the system.
Service Name
udf_ind_pulldown_1_update
Required Parameters
| Name | Type |
|---|---|
| udf_ind_pulldown_1_id | integer |
| name | string |
Optional Parameters
| Name | Type |
|---|---|
| order_by | integer |
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=udf_ind_pulldown_1_update&udf_ind_pulldown_1_id=1&name=Updated+Value"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="udf_ind_pulldown_1_update" name="srv"/>
<argument value="9" name="udf_ind_pulldown_1_id"/>
<argument value="BOOKKEEPING" name="name"/>
</parameters>
</request>
<response>
<service>udf_ind_pulldown_1_update</service>
<service_action>execute</service_action>
<availability>public</availability>
<udf_ind_pulldown_1s count="1">
<udf_ind_pulldown_1 id="9">
<name>BOOKKEEPING</name>
<order_by>9</order_by>
<owner id="1">
<first_name>Larry</first_name>
<last_name>Cucumber</last_name>
<full_name>Larry Cucumber</full_name>
<email>[email protected]</email>
<phones>
<phone type="mobile">0123456789</phone>
</phones>
</owner>
<editable>1</editable>
<listed>1</listed>
<creator id="0">System User</creator>
<modifier id="0">System User</modifier>
<created>0000-00-00 00:00:00</created>
<modified>2014-01-28 10:25:33</modified>
</udf_ind_pulldown_1>
</udf_ind_pulldown_1s>
</response>
</ccb_api>